# Last hour of usage and a list of applications that have reported seeing this feature flag GET https://app.unleash-instance.example.com/api/admin/client-metrics/features/{name} Separate counts for yes (enabled), no (disabled), as well as how many times each variant was selected during the last hour Reference: https://docs.getunleash.io/api/get-feature-usage-summary ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: >- Last hour of usage and a list of applications that have reported seeing this feature flag version: endpoint_metrics.getFeatureUsageSummary paths: /api/admin/client-metrics/features/{name}: get: operationId: get-feature-usage-summary summary: >- Last hour of usage and a list of applications that have reported seeing this feature flag description: >- Separate counts for yes (enabled), no (disabled), as well as how many times each variant was selected during the last hour tags: - - subpackage_metrics parameters: - name: name in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: featureUsageSchema content: application/json: schema: $ref: '#/components/schemas/featureUsageSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: dateSchema: oneOf: - type: string format: date-time - type: integer featureEnvironmentMetricsSchema: type: object properties: featureName: type: string description: The name of the feature appName: type: string description: The name of the application the SDK is being used in environment: type: string description: Which environment the SDK is being used in timestamp: $ref: '#/components/schemas/dateSchema' description: >- The start of the time window these metrics are valid for. The window is usually 1 hour wide 'yes': type: integer description: How many times the toggle evaluated to true 'no': type: integer description: How many times the toggle evaluated to false variants: type: object additionalProperties: type: integer description: How many times each variant was returned required: - environment - timestamp - 'yes' - 'no' featureUsageSchema: type: object properties: version: type: integer description: The version of this schema maturity: type: string description: The maturity level of this API (alpha, beta, stable, deprecated) featureName: type: string description: The name of the feature lastHourUsage: type: array items: $ref: '#/components/schemas/featureEnvironmentMetricsSchema' description: >- Last hour statistics. Accumulated per feature per environment. Contains counts for evaluations to true (yes) and to false (no) seenApplications: type: array items: type: string description: A list of applications seen using this feature required: - version - maturity - featureName - lastHourUsage - seenApplications ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/client-metrics/features/name" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/client-metrics/features/name'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/client-metrics/features/name" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/client-metrics/features/name") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/client-metrics/features/name") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/client-metrics/features/name', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/client-metrics/features/name"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/client-metrics/features/name")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```